rpms/initng-ifiles/devel libpath.patch, NONE, 1.1 initng-ifiles.spec, 1.3, 1.4

Daniel Malmgren (danielm) fedora-extras-commits at redhat.com
Mon Feb 5 09:03:00 UTC 2007


Author: danielm

Update of /cvs/extras/rpms/initng-ifiles/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv32145

Modified Files:
	initng-ifiles.spec 
Added Files:
	libpath.patch 
Log Message:
initng-ifiles-0.0.7-2, trying to solve an issue with hardcoded /lib path


libpath.patch:

--- NEW FILE libpath.patch ---
diff -Naur svn4749/cmake/InitngMacros.cmake svn4752/cmake/InitngMacros.cmake
--- cmake/InitngMacros.cmake	2007-02-01 03:56:42.000000000 +0100
+++ cmake/InitngMacros.cmake	2007-02-04 20:26:14.000000000 +0100
@@ -32,9 +32,9 @@
 	FOREACH(_current_FILE ${ARGN})
 		SET(_runlevel_FILE ${CMAKE_CURRENT_BINARY_DIR}/${_current_FILE})
 		ADD_CUSTOM_COMMAND(OUTPUT ${_runlevel_FILE}
-			COMMAND ${CMAKE_SOURCE_DIR}/genrunlevel
+			COMMAND ${CMAKE_BINARY_DIR}/genrunlevel
 			ARGS -confdir ${CMAKE_CURRENT_BINARY_DIR} ${_current_FILE} > /dev/null 2>&1
-			DEPENDS ${CMAKE_SOURCE_DIR}/genrunlevel)
+			DEPENDS ${CMAKE_SOURCE_DIR}/genrunlevel.in)
 
 		SET(_runlevel_FILES ${_runlevel_FILES} ${_runlevel_FILE})
 
diff -Naur svn4749/CMakeLists.txt svn4752/CMakeLists.txt
--- CMakeLists.txt	2007-02-04 20:03:04.000000000 +0100
+++ CMakeLists.txt	2007-02-04 20:31:02.000000000 +0100
@@ -41,9 +41,9 @@
 	ADD_SUBDIRECTORY(fixes)
 ENDIF(INSTALL_FIXES)
 
-INSTALL_PROGRAMS(${SBIN_INSTALL_DIR} FILES genrunlevel)
+INSTALL_PROGRAMS(${SBIN_INSTALL_DIR} FILES ${CMAKE_CURRENT_BINARY_DIR}/genrunlevel)
 FILE(GLOB GENRUNLEVEL_LIBS "libgenrunlevel/lib*")
-INSTALL_PROGRAMS(/lib FILES ${GENRUNLEVEL_LIBS})
+INSTALL_PROGRAMS(${LIB_INSTALL_DIR} FILES ${GENRUNLEVEL_LIBS})
 
 IF(INSTALL_RUNLEVELS)
 	SET(RUNLEVEL_FILES
@@ -63,6 +63,11 @@
         "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
         IMMEDIATE @ONLY)
 
+CONFIGURE_FILE(
+	"${CMAKE_CURRENT_SOURCE_DIR}/genrunlevel.in"
+	"${CMAKE_CURRENT_BINARY_DIR}/genrunlevel"
+	IMMEDIATE @ONLY)
+
 ADD_CUSTOM_TARGET(uninstall
         "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
 
diff -Naur svn4749/genrunlevel svn4752/genrunlevel
--- genrunlevel	2007-01-21 02:03:53.000000000 +0100
+++ genrunlevel	1970-01-01 01:00:00.000000000 +0100
@@ -1,98 +0,0 @@
-#!/bin/bash
-
-#
-# Search for libgenrunlevel
-#
-LIB=${0%/*}/libgenrunlevel
-[ -d ${LIB} ] || LIB=/lib
-LIB+=/libgenrunlevel
-
-if [ ! -e ${LIB} ]; then
-	echo "ERROR: ${LIB} not found!"
-	exit 1
-fi
-
-#
-# Load libgenrunlevel
-#
-. ${LIB}
-
-
-[ ${#} -eq 0 ] && set -e -- -help
-
-while [ ${#} -gt 0 ]; do
-	case "${1}" in
-	-all)
-		all=true
-		;;
-	-overwrite)
-		overwrite=true
-		;;
-	-dist=*)
-		distro=${1#-dist=}
-		;;
-	-dist)
-		shift
-		dist=${1}
-		;;
-	-path=*)
-		search_path=${1#-path=}
-		;;
-	-path)
-		shift
-		search_path=${1}
-		;;
-	-destdir=*)
-		DESTDIR=${1#-destdir=}
-		;;
-	-destdir)
-		shift
-		DESTDIR=${1}
-		;;
-	-confdir=*)
-		CONFDIR=${1#-confdir=}
-		;;
-	-confdir)
-		shift
-		CONFDIR=${1}
-		;;
-	-help)
-		echo 'USAGE:' >&2
-		echo " ${0} [-overwrite] [-path=PATH] [-destdir=PATH] [-confdir=PATH] -all" >&2
-		echo " ${0} [-overwrite] [-path=PATH] [-destdir=PATH] [-confdir=PATH] FILE" >&2
-		echo " ${0} -help" >&2
-		exit 0
-		;;
-	--)
-		shift
-		break
-		;;
-	*)
-	 	break
-	 	;;
-	esac
-	shift
-done
-
-[ "${CONFDIR}" ] || CONFDIR="${DESTDIR}/etc/initng"
-mkdir -p "${CONFDIR}"
-
-[ "${search_path}" ] || search_path=$(echo $(
-	for dir in $()/bin /sbin /usr/bin /usr/sbin /usr/kde/\*/bin \
-			/usr/kde/\*/sbin /opt/bin /opt/sbin /opt/\*/bin \
-			/opt/\*/sbin /usr/local/sbin /usr/local/bin
-	do [ "$(echo ${dir})" ] && echo ${dir}
-	done | grep -v '*')
-)
-
-[ "${all}" ] && set -- $(get_runlevels)
-
-for l; do
-	create_list ${l}
-done
-
-for rl in ${runlevels}; do
-	write_runlevel ${rl} > "${CONFDIR}/${rl}"
-done
-
-echo "Done generating files."
diff -Naur svn4749/genrunlevel.in svn4752/genrunlevel.in
--- genrunlevel.in	1970-01-01 01:00:00.000000000 +0100
+++ genrunlevel.in	2007-02-04 20:26:35.000000000 +0100
@@ -0,0 +1,98 @@
+#!/bin/bash
+
+#
+# Search for libgenrunlevel
+#
+LIB=${0%/*}/libgenrunlevel
+[ -d ${LIB} ] || LIB="@LIB_INSTALL_DIR@"
+LIB+=/libgenrunlevel
+
+if [ ! -e ${LIB} ]; then
+	echo "ERROR: ${LIB} not found!"
+	exit 1
+fi
+
+#
+# Load libgenrunlevel
+#
+. ${LIB}
+
+
+[ ${#} -eq 0 ] && set -e -- -help
+
+while [ ${#} -gt 0 ]; do
+	case "${1}" in
+	-all)
+		all=true
+		;;
+	-overwrite)
+		overwrite=true
+		;;
+	-dist=*)
+		distro=${1#-dist=}
+		;;
+	-dist)
+		shift
+		dist=${1}
+		;;
+	-path=*)
+		search_path=${1#-path=}
+		;;
+	-path)
+		shift
+		search_path=${1}
+		;;
+	-destdir=*)
+		DESTDIR=${1#-destdir=}
+		;;
+	-destdir)
+		shift
+		DESTDIR=${1}
+		;;
+	-confdir=*)
+		CONFDIR=${1#-confdir=}
+		;;
+	-confdir)
+		shift
+		CONFDIR=${1}
+		;;
+	-help)
+		echo 'USAGE:' >&2
+		echo " ${0} [-overwrite] [-path=PATH] [-destdir=PATH] [-confdir=PATH] -all" >&2
+		echo " ${0} [-overwrite] [-path=PATH] [-destdir=PATH] [-confdir=PATH] FILE" >&2
+		echo " ${0} -help" >&2
+		exit 0
+		;;
+	--)
+		shift
+		break
+		;;
+	*)
+	 	break
+	 	;;
+	esac
+	shift
+done
+
+[ "${CONFDIR}" ] || CONFDIR="${DESTDIR}/etc/initng"
+mkdir -p "${CONFDIR}"
+
+[ "${search_path}" ] || search_path=$(echo $(
+	for dir in $()/bin /sbin /usr/bin /usr/sbin /usr/kde/\*/bin \
+			/usr/kde/\*/sbin /opt/bin /opt/sbin /opt/\*/bin \
+			/opt/\*/sbin /usr/local/sbin /usr/local/bin
+	do [ "$(echo ${dir})" ] && echo ${dir}
+	done | grep -v '*')
+)
+
+[ "${all}" ] && set -- $(get_runlevels)
+
+for l; do
+	create_list ${l}
+done
+
+for rl in ${runlevels}; do
+	write_runlevel ${rl} > "${CONFDIR}/${rl}"
+done
+
+echo "Done generating files."


Index: initng-ifiles.spec
===================================================================
RCS file: /cvs/extras/rpms/initng-ifiles/devel/initng-ifiles.spec,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- initng-ifiles.spec	4 Feb 2007 19:00:21 -0000	1.3
+++ initng-ifiles.spec	5 Feb 2007 09:02:28 -0000	1.4
@@ -1,7 +1,7 @@
 Summary: Scripts for initng
 Name: initng-ifiles
 Version: 0.0.7
-Release: 1%{?dist}
+Release: 2%{?dist}
 License: GPL
 URL: http://www.initng.org
 Group: System Environment/Base
@@ -10,6 +10,7 @@
 BuildRequires: cmake initng-devel
 Requires: filesystem
 Provides: initng(ifiles)
+patch0: libpath.patch
 
 %description
 Initng is a full replacement of the old and in many ways deprecated sysvinit
@@ -17,6 +18,7 @@
 
 %prep
 %setup -q
+%patch0 -p0 -b .libpath
 
 %build
 export CFLAGS="$RPM_OPT_FLAGS"
@@ -50,11 +52,14 @@
 /sbin/genrunlevel
 /sbin/install_service
 /sbin/ng-update
-/lib/libgenrunlevel*
+/%{_lib}/libgenrunlevel*
 /%{_lib}/initng
 %{_mandir}/*/*
 
 %changelog
+* Mon Feb 05 2007 Daniel Malmgren <dm at mensa.se> 0.0.7-2
+- Fixed issue with hardcoded /lib path, using patch from upstreams svn
+
 * Sun Feb 04 2007 Daniel Malmgren <dm at mensa.se> 0.0.7-1
 - New upstreams version
 - Upstreams has migrated from the old cludgy gen_system_runlevel to




More information about the scm-commits mailing list